Need help installing Ruby, Rails, and RubyGem

I Am BRAND new to Ruby and cant seem to get anything installed? can someone give me a hand?